summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov <slackalaxy@gmail.com>2016-12-19 06:50:40 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-12-24 07:33:35 +0700
commit38c30e023e8a2269f23d20e8173f5e43aacb1699 (patch)
tree681e48cc3efd2bfa2635aa76a284ef7e184fd65d
parentbc0982abdc858be0169a2a52361e6d1f1369072e (diff)
downloadslackbuilds-38c30e023e8a2269f23d20e8173f5e43aacb1699.tar.gz
slackbuilds-38c30e023e8a2269f23d20e8173f5e43aacb1699.tar.xz
academic/wehi-hackit: Added (Clip a stream of cells).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--academic/wehi-hackit/README6
-rw-r--r--academic/wehi-hackit/doinst.sh3
-rw-r--r--academic/wehi-hackit/slack-desc19
-rw-r--r--academic/wehi-hackit/wehi-hackit.SlackBuild59
-rw-r--r--academic/wehi-hackit/wehi-hackit.desktop7
-rw-r--r--academic/wehi-hackit/wehi-hackit.info10
-rw-r--r--academic/wehi-hackit/wehi-hackit.pngbin0 -> 7402 bytes
7 files changed, 104 insertions, 0 deletions
diff --git a/academic/wehi-hackit/README b/academic/wehi-hackit/README
new file mode 100644
index 0000000000..8a3fa559f9
--- /dev/null
+++ b/academic/wehi-hackit/README
@@ -0,0 +1,6 @@
+Where it is feared that a flow cytometry data file has been violated,
+for example at the start of the file by cells carried over from the
+previous sample, or at the end of the file by a nozzle blockage,
+Hackit (wehi-hackit) can be used to clip the offending stream of cells
+from the file. It may be used also to concatenate the data from a
+number of files.
diff --git a/academic/wehi-hackit/doinst.sh b/academic/wehi-hackit/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/wehi-hackit/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/wehi-hackit/slack-desc b/academic/wehi-hackit/slack-desc
new file mode 100644
index 0000000000..a6845b0b1a
--- /dev/null
+++ b/academic/wehi-hackit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wehi-hackit: wehi-hackit (Clip a stream of cells from flow cytometry files)
+wehi-hackit:
+wehi-hackit: Where it is feared that a flow cytometry data file has been violated,
+wehi-hackit: for example at the start of the file by cells carried over from the
+wehi-hackit: previous sample, or at the end of the file by a nozzle blockage,
+wehi-hackit: Hackit can be used to clip the offending stream of cells from the
+wehi-hackit: file. It may be used also to concatenate the data from a number of
+wehi-hackit: files.
+wehi-hackit:
+wehi-hackit: http://www.frankbattye.com.au/freesoftware.html
+wehi-hackit:
diff --git a/academic/wehi-hackit/wehi-hackit.SlackBuild b/academic/wehi-hackit/wehi-hackit.SlackBuild
new file mode 100644
index 0000000000..b24aa12991
--- /dev/null
+++ b/academic/wehi-hackit/wehi-hackit.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for wehi-hackit
+
+# Copyright 2016 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wehi-hackit
+VERSION=${VERSION:-20050203}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+SRCNAM=Hackit
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+install -D -m755 $CWD/$SRCNAM.jar $PKG/usr/bin/$PRGNAM.jar
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Couldn't find an icon, so I made one myself, from my own data :)
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/wehi-hackit/wehi-hackit.desktop b/academic/wehi-hackit/wehi-hackit.desktop
new file mode 100644
index 0000000000..25594dd5f8
--- /dev/null
+++ b/academic/wehi-hackit/wehi-hackit.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Type=Application
+Exec=java -jar /usr/bin/wehi-hackit.jar
+Terminal=false
+Name=Flow cytometry Hackit
+Icon=wehi-hackit.png
+Categories=Education;
diff --git a/academic/wehi-hackit/wehi-hackit.info b/academic/wehi-hackit/wehi-hackit.info
new file mode 100644
index 0000000000..962314eea7
--- /dev/null
+++ b/academic/wehi-hackit/wehi-hackit.info
@@ -0,0 +1,10 @@
+PRGNAM="wehi-hackit"
+VERSION="20050203"
+HOMEPAGE="http://www.frankbattye.com.au/freesoftware.html"
+DOWNLOAD="http://www.frankbattye.com.au/downloads/Hackit.jar"
+MD5SUM="1b498994d569b147a461b698633078e1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/wehi-hackit/wehi-hackit.png b/academic/wehi-hackit/wehi-hackit.png
new file mode 100644
index 0000000000..aae08b3969
--- /dev/null
+++ b/academic/wehi-hackit/wehi-hackit.png
Binary files differ